<template>
  <div class="tabs">
    <div class="tabs__header">
      <div
        v-for="key in tabs"
        :key="key"
        class="tabs__tab"
        :class="{
          'tabs__tab--active': key === value
        }"
        @click="setTab(key)"
      >
        {{ $t(`pages.quizzes.add.${key}`) }}
      </div>
    </div>
    <div class="tabs__panes">
      <div
        :key="value"
        class="tabs__pane"
      >
        <slot :name="value" />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Tabs',
  props: {
    tabs: Array,
    value: String,
  },
  methods: {
    setTab(tab) {
      this.$emit('input', tab);
    },
  },
};
</script>

<style lang="scss">
  @import "../assets/variables";

  .tabs {
    display: grid;
    grid-template-rows: auto 1fr;

    &__header {
      display: flex;
      align-items: center;

      border-bottom: solid 1px lighten($color-softGreen, 20%);

      overflow-x: auto;
    }

    &__tab {
      padding: 20px 40px 16px 40px;
      cursor: pointer;
      color: $color-green;
      font-size: 18px;
      border-bottom: solid 4px transparent;
      white-space: nowrap;

      &--active {
        cursor: default;
        font-weight: bold;
        border-bottom-color: inherit;
        color: $color-black;
      }
    }

    &__panes {
      box-shadow: 0 14px 20px transparentize($color-black, .9);

      border-radius: 0 0 10px 10px;
    }

    &__pane {
      padding: 40px;
    }
  }
</style>
